array_splice
array_udiff_assoc
Array Functions
PHP Manual

# array_sum

(PHP 4 >= 4.0.4, PHP 5)

array_sum — Calculate the sum of values in an array

### Description

number array_sum ( array `$array` )

array_sum() returns the sum of values in an array.

### Parameters

`array`

  The input array.

### Return Values

Returns the sum of values as an integer or float.

### ChangeLog

Version | Description
--- | ---
4.2.1 | PHP versions prior to 4.2.1 modified the passed array itself and converted strings to numbers (which most of the time converted them to zero, depending on their value).

### Examples

Example #1 array_sum() examples

`<?php
$a = array(2, 4, 6, 8);
echo "sum(a) = " . array_sum($a) . "\n";
$b = array("a" => 1.2, "b" => 2.3, "c" => 3.4);
echo "sum(b) = " . array_sum($b) . "\n";
?>`

The above example will output:

    sum(a) = 20
    sum(b) = 6.9

array_splice
array_udiff_assoc
Array Functions
PHP Manual